org.apache.maven.artifact

## Class ArtifactUtils

- java.lang.Object
- - org.apache.maven.artifact.ArtifactUtils

    public final class ArtifactUtils
    extends java.lang.Object

### Method Summary

Methods
`static java.lang.String` `artifactId(java.lang.String groupId, java.lang.String artifactId, java.lang.String type, java.lang.String version)`
`static java.lang.String` `artifactId(java.lang.String groupId, java.lang.String artifactId, java.lang.String type, java.lang.String classifier, java.lang.String baseVersion)`
`static java.util.Map` `artifactMapByArtifactId(java.util.Collection artifacts)`
`static java.util.Map` `artifactMapByVersionlessId(java.util.Collection artifacts)`
`static Artifact` `copyArtifact(Artifact artifact)`
`static boolean` `isSnapshot(java.lang.String version)`
`static java.lang.String` `toSnapshotVersion(java.lang.String version)`
`static java.lang.String` `versionlessKey(Artifact artifact)`
`static java.lang.String` `versionlessKey(java.lang.String groupId, java.lang.String artifactId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isSnapshot

    public static boolean isSnapshot(java.lang.String version)

#### toSnapshotVersion

    public static java.lang.String toSnapshotVersion(java.lang.String version)

#### versionlessKey

    public static java.lang.String versionlessKey(Artifact artifact)

#### versionlessKey

    public static java.lang.String versionlessKey(java.lang.String groupId,
                                  java.lang.String artifactId)

#### artifactId

    public static java.lang.String artifactId(java.lang.String groupId,
                              java.lang.String artifactId,
                              java.lang.String type,
                              java.lang.String version)

#### artifactId

    public static java.lang.String artifactId(java.lang.String groupId,
                              java.lang.String artifactId,
                              java.lang.String type,
                              java.lang.String classifier,
                              java.lang.String baseVersion)

#### artifactMapByVersionlessId

    public static java.util.Map artifactMapByVersionlessId(java.util.Collection artifacts)

#### artifactMapByArtifactId

    public static java.util.Map artifactMapByArtifactId(java.util.Collection artifacts)

#### copyArtifact

    public static Artifact copyArtifact(Artifact artifact)